View Issue Details

IDProjectCategoryView StatusLast Update
0006575Talerwallet (Android App)public2020-09-10 18:48
ReporterFlorian Dold Assigned Togrote  
PriorityhighSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006575: refunds don't show status screen after scanning, no error details are displayed on error
DescriptionWhen a taler:// refund QR code is scanned, the wallet doesn't show any context or progress indicator for the refund.

When the refund fails (e.g. because the merchant backend returns an error), instead of error details, the wallet UI only shows a snackbar that the refund failed.
TagsNo tags attached.

Activities

grote

2020-09-07 13:57

developer   ~0016898

This is the expected behavior. What else do you think should happen? In the UX design phase, we said that we don't need dedicated status screens and instead should bring the user to the transaction list that will then show the new transaction at the top.

Do you think we should always show a dedicated status page or only when there was an error, so we have more space to show error information?

Christian Grothoff

2020-09-07 14:37

manager   ~0016904

My issue actually was that the snack bar was not readable, both in terms of size (text cut off) and timing (went away far too fast).

Florian Dold

2020-09-07 14:39

manager   ~0016905

But the snackbar doesn't have enough space to show an actual full error message!

But maybe if we had the log view ... ;-)

Christian Grothoff

2020-09-07 14:45

manager   ~0016907

Last edited: 2020-09-07 14:46

View 2 revisions

That's OK, for example the snack bar could *link* to the log view. But it needs to stay visible for at least 60s (or until user clicks 'x' or swipes it away or whatever), not the ~2s it is shown now.

Oh, and I'm OK with that link-to-logview to be a 0.8.1-feature, just making sure that the text of the snack bar is not cut off (and I don't mean by length: I had issues especially with the PoS App where basically only half of the height of each character was rendered!) and stays on the screen long enough for someone without photographic memory to read it ;-).

grote

2020-09-09 19:03

developer   ~0016952

the 0.8 rc2 release shows a snackbar when the refund was granted and a bottom sheet with error details in case of an error.

Issue History

Date Modified Username Field Change
2020-09-06 12:06 Florian Dold New Issue
2020-09-06 12:06 Florian Dold Status new => assigned
2020-09-06 12:06 Florian Dold Assigned To => grote
2020-09-07 13:57 grote Note Added: 0016898
2020-09-07 14:37 Christian Grothoff Note Added: 0016904
2020-09-07 14:39 Florian Dold Note Added: 0016905
2020-09-07 14:45 Christian Grothoff Note Added: 0016907
2020-09-07 14:46 Christian Grothoff Note Edited: 0016907 View Revisions
2020-09-09 19:03 grote Note Added: 0016952
2020-09-10 18:48 Christian Grothoff Status assigned => resolved
2020-09-10 18:48 Christian Grothoff Resolution open => fixed
2020-09-10 18:48 Christian Grothoff Fixed in Version => 0.8